Rotate a secret
curl --request POST \
--url https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions"
payload = { "value": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bindings": [
{
"id": "<string>",
"secret": "<string>",
"scope": "tenant_default",
"scopeID": "<string>",
"host": "<string>",
"header": "<string>",
"format": "Bearer ${SECRET}",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Credential vault
Rotate a secret
Adds a new version. Egress proxies cache values for up to 60 seconds.
POST
/
v1
/
vault
/
secrets
/
{name}
/
versions
Rotate a secret
curl --request POST \
--url https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"value": "<string>"
}
'import requests
url = "https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions"
payload = { "value": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: '<string>'})
};
fetch('https://api.compute.anonalabs.com/v1/vault/secrets/{name}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"version": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"bindings": [
{
"id": "<string>",
"secret": "<string>",
"scope": "tenant_default",
"scopeID": "<string>",
"host": "<string>",
"header": "<string>",
"format": "Bearer ${SECRET}",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}{
"code": 123,
"message": "<string>",
"error_code": "<string>"
}Authorizations
ApiKeyAuthBearerAuth
An Anona Compute API key (e2b_ followed by lowercase hex).
Path Parameters
Body
application/json
Maximum string length:
8192